package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.request.accident.AccidentFlightRequest;
import com.tuoheng.admin.request.accident.ReversalFlightRequest;
import com.tuoheng.admin.vo.AirportInfoVo;
import com.tuoheng.admin.vo.AirportLineVo;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

public interface AirportService {

    List<AirportInfoVo> getAirportInfoList(String airportIds);

    List<AirportLineVo> getAirportLineListByAirportIdAndLineIdList(String airportId, List<Integer> airportLineIdList);

    JsonResult getAirportList();

    JsonResult getAirportDetail(Integer airportId,String airportCode);

    JsonResult getAirLineListByDroneId(Integer droneId);

    JsonResult getAirLineListByAirportId(String airportId);

    JsonResult executeTask(String userId, Inspection inspection);

    JsonResult getDroneDataById(Integer airportId);

    JsonResult pointFlight(AccidentFlightRequest request);


    JsonResult reversalFlight(ReversalFlightRequest request);

}
